import Vue from 'vue'
import Router from 'vue-router'
import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'
import demo from '@/components/pages/demo'

Vue.use(Router).use(ElementUI)

const router = new Router({
    routes: [{
        path: '/demo',
        name: 'demo',
        component: demo,
        meta: {
            requireAuth: false // 不需要鉴权
        }
    }, ]
})

router.beforeEach((to, from, next) => {
    if (to.matched.length === 0) {
        from.name ? next({
            name: from.name
        }) : next('/login');
    } else {
        next();
    }
})

export default router;